JAULA::Bad_Data_Type Class Reference
JAULA: Error handling

class for incompatible data type exceptions More...

`#include <jaula_bad_data_type.h>`

Inheritance diagram for JAULA::Bad_Data_Type:

## Public Member Functions

| Bad_Data_Type (std::string const &detail="", std::string const &action="", std::string const &origin="")
| Constructor.
Bad_Data_Type & | operator= (Bad_Data_Type const &orig)
| Assignment operator.
virtual | ~Bad_Data_Type ()
| Destructor.
Public Member Functions inherited from JAULA::Exception
void | addOrigin (std::string const &origin)
| Attachs a new origin after the existing ones.
void | display (std::ostream &ostr) const
| Represents the instance in a stream.
| Exception (Exception const &orig)
| Copy constructor.
| Exception (ExCode code=NO_ERROR, std::string const &detail="", std::string const &action="", std::string const &origin="")
| Constructor.
std::string const & | getAction (void) const
| Retrieves the action that caused the exception.
ExCode | getCode (void) const
| Retrieves the error code for the exception.
virtual std::string const & | getDetail (void) const
| Retrieves the detailed description for the exception.
std::string const & | getOrigin (void) const
| Retrieves the method being run when the exception arose.
Exception & | operator= (Exception const &orig)
| Assignment operator.
void | setAction (std::string const &action)
| Establishes the action that caused the exception.
void | setDetail (std::string const &detail)
| Establishes the description for the exception.
void | setOrigin (std::string const &origin)
| Establishes the method being run when the exception arose.
virtual | ~Exception ()
| Destructor.

## Additional Inherited Members

Public Types inherited from JAULA::Exception
enum | ExCode { NO_ERROR , BAD_DATA_TYPE , NAME_DUPLICATED , LEXAN_ERROR , SYNTAX_ERROR }
| Enumeration of available error codes. More...
Protected Member Functions inherited from JAULA::Exception
void | setCode (ExCode code)
| Establishes the error code for the exception.

## Detailed Description

class for incompatible data type exceptions

  This class defines the exceptions to be thrown in case of incompatible data types usage.

Author
  Kombo Morongo moron.nosp@m.go66.nosp@m.6@gma.nosp@m.il.c.nosp@m.om

## Constructor & Destructor Documentation

## Bad_Data_Type()

JAULA::Bad_Data_Type::Bad_Data_Type | ( | std::string const & | detail = "",
|  | std::string const & | action = "",
|  | std::string const & | origin = "" )

Constructor.

Parameters

  detail | detailed description about the exception which made execution fail.
  action | action being performed when the exception arose.
  origin | Name of the method (and others methods that have called this) by the time the exception arose.

Description
  This method construct a new exception instance with JAULA::BAD_DATA_TYPE code.

References JAULA::Exception::BAD_DATA_TYPE, and JAULA::Exception::Exception().

Referenced by operator=().

## ~Bad_Data_Type()

JAULA::Bad_Data_Type::~Bad_Data_Type | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## operator=()

Bad_Data_Type & JAULA::Bad_Data_Type::operator= | ( | Bad_Data_Type const & | orig | ) |

Assignment operator.

Parameters

  orig | Original instance to copy

Returns
  a reference to the destination instance

Description
  Copies the contents of the original instance to destination.

Note
  This method has been redefined from the base class preventing instance type modification.

References Bad_Data_Type(), and JAULA::Exception::operator=().

The documentation for this class was generated from the following files:

- jaula_bad_data_type.h
- jaula_bad_data_type.cc

Back to JAULA Project Documentation Page.

Go to JAULA Project Home Page.

Copyright (c) 2007, 2008, 2009 Kombo Morongo.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

SourceForge.net